Subject: RE: Problem - extreme network slowness, cygwin only
From: Kevin Schnitzius <[email-masked]>
To: "'Greg Bell'" <[email-masked]>, Troy Noble <[email-masked]>
Cc: Robert Collins <[email-masked]>, [email-masked]
Date: Mon, 24 Sep 2001 20:52:12 -0400

Bash hashes commands and paths so there may be so code to rescan previously
unavailable paths.  Try "hash -r" after setting your path.

Also, about a year ago, I ran into a similar problem.  It seems that if you
used commands to put together a PATH, sometimes it would get into a state
where the command prompt took about a second to return.  If you scan the
archives for "slowing down" and my name, you can get the details.  I was
under the impression that this problem is fixed long ago but I never had a
reliable test and I haven't seen it since.

Kevin

 -----Original Message-----
From: 	Greg Bell [mailto:[email-masked]] 
Sent:	Monday, September 24, 2001 20:26
To:	Troy Noble
Cc:	Robert Collins; [email-masked]; 'Kevin Schnitzius'
Subject:	RE: Problem - extreme network slowness, cygwin only

When the slowness happens, I set my path to just /usr/bin as a test... and
the problem's still there.

Unfortunately, I confused the issue by running cygcheck during a NORMAL
session.

So you guys are right - I need to fix that in my path - but that's not the
main problem.

I've been waiting for it to recur (happens for a day every week or so) so
I can strace ls and see where the time's being spent.

-Greg Bell

On Mon, 24 Sep 2001, Troy Noble wrote:

> Kevin's right.  If you paste his suggested fix near the end
> of your .bashrc file that should do it.
>
>   export PATH=`echo $PATH | sed 's/\/\/[^:]*://' | sed 's/:\/\/[^:]*$//'`
>
> This could be your problem right here.  In your PATH:
>
>    //c/program files/microsoft visual studio/vss/win32
>
> Unless you have a machine on your network named "c"
> you are trying to browse to the UNC PATH "\\c".
> That'll slow you down for sure.
>
> I thought you said your PATH was only "/usr/bin" that's why I
> couldn't see it before.  cygcheck reveals all as usual.
>
> Troy
>
> -----Original Message-----
> From: Greg Bell [mailto:[email-masked]]
> Sent: Monday, September 24, 2001 5:22 PM
> To: Robert Collins
> Cc: [email-masked]
> Subject: Re: Problem - extreme network slowness, cygwin only
>
>
> > whats your CYGWIN env variable set to?
> > Whats the output of cygcheck (as per the submitting a bug report topic
> > on the cygwin homepage)?.
>
> duh... sorry about that.  its included below.
>
> > What you are observing is not normal, it indicates something wrong. My
> > guess would be an incorrectly configured corporate network, and your
> > network security info resolution is coming over a router with no local
> > Domain master browser (or something of the sort).
>
> but why would cygwin/bash exhibit the delays and not dos?
>
>
> Cygnus Win95/NT Configuration Diagnostics
> Current System Time: Mon Sep 24 15:04:18 2001
>
> WinNT Ver 5.0 build 2195
>
> Path:	/home/gbell
> 	.
> 	/usr/local/bin
> 	/usr/bin
> 	/bin
> 	/cygdrive/c/Program Files/Cadence Design Systems/LDV/tools/bin
> 	/cygdrive/c/Program Files/Cadence Design Systems/LDV/tools/lib
> 	/cygdrive/c/WINNT/system32
> 	/cygdrive/c/WINNT
> 	/cygdrive/c/WINNT/System32/Wbem
> 	/cygdrive/c/DMI/bin
> 	/cygdrive/c/Program Files/Symantec/pcAnywhere/
> 	/cygdrive/c/modeltech_5.5b/win32pe
> 	/cygdrive/z/utils
> 	/cygdrive/c/Program Files/winzip
> 	/cygdrive/c/MODELSIM/WIN32PE
> 	/common
> 	//c/program files/microsoft visual studio/vss/win32
> 	/usr/X11R6/bin
>
> .... snip
>

-- 
Greg Bell  858-860-6519

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/